Qwt User's Guide: QwtColorMap Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtColorMap Class Reference

Inheritance diagram for QwtColorMap:

[legend]
List of all members.

## Detailed Description

QwtColorMap is used to map values into colors.

For displaying 3D data on a 2D plane the 3rd dimension is often displayed using colors, like f.e in a spectrogram.

Each color map is optimized to return colors for only one of the following image formats:

- QImage::Format_Indexed8
- QImage::Format_ARGB32

See also:
  QwtPlotSpectrogram, QwtScaleWidget

Definition at line 44 of file qwt_color_map.h.

## Public Types
enum | Format { RGB, Indexed }
## Public Member Functions
| QwtColorMap (Format=QwtColorMap::RGB)
virtual | ~QwtColorMap ()
Format | format () const
virtual QwtColorMap * | copy () const =0
virtual QRgb | rgb (const QwtDoubleInterval &interval, double value) const =0
virtual unsigned char | colorIndex (const QwtDoubleInterval &interval, double value) const =0
QColor | color (const QwtDoubleInterval &, double value) const
virtual QVector< QRgb > | colorTable (const QwtDoubleInterval &) const

## Member Enumeration Documentation

enum QwtColorMap::Format

| RGB The map is intended to map into QRgb values. Indexed The map is intended to map into 8 bit values, that are indices into the color table. See also: rgb(), colorIndex(), colorTable() Definition at line 57 of file qwt_color_map.h.

## Constructor & Destructor Documentation

QwtColorMap::QwtColorMap | ( | Format | = `QwtColorMap::RGB` | ) |

| Constructor. Definition at line 164 of file qwt_color_map.cpp.

QwtColorMap::~QwtColorMap | ( |  | ) | `[virtual]`

| Destructor. Definition at line 170 of file qwt_color_map.cpp.

## Member Function Documentation

QColor QwtColorMap::color | ( | const QwtDoubleInterval & | interval,
|  | double | value
| ) | const`[inline]`

  | Map a value into a color Parameters:
  | interval | Valid interval for values
  | value | Value
Returns: Color corresponding to value Warning: This method is slow for Indexed color maps. If it is necessary to map many values, its better to get the color table once and find the color using colorIndex(). Definition at line 198 of file qwt_color_map.h. References colorIndex(), colorTable(), and rgb().

virtual unsigned char QwtColorMap::colorIndex | ( | const QwtDoubleInterval & | interval,
|  | double | value
| ) | const`[pure virtual]`

  | Map a value of a given interval into a color index Parameters:
  | interval | Range for the values
  | value | Value
Returns: color index, corresponding to value Implemented in QwtLinearColorMap. Referenced by color(), and QwtPainter::drawColorBar().

QwtColorTable QwtColorMap::colorTable | ( | const QwtDoubleInterval & | interval | ) | const`[virtual]`

  | Build and return a color map of 256 colors The color table is needed for rendering indexed images in combination with using colorIndex(). Parameters:
  | interval | Range for the values
Returns: A color table, that can be used for a QImage Definition at line 183 of file qwt_color_map.cpp. References QwtDoubleInterval::isValid(), QwtDoubleInterval::minValue(), rgb(), and QwtDoubleInterval::width(). Referenced by color(), and QwtPainter::drawColorBar().

virtual QwtColorMap* QwtColorMap::copy | ( |  | ) | const`[pure virtual]`

| Clone the color map. Implemented in QwtLinearColorMap, and QwtAlphaColorMap. Referenced by QwtScaleWidget::setColorMap(), and QwtPlotSpectrogram::setColorMap().

QwtColorMap::Format QwtColorMap::format | ( |  | ) | const`[inline]`

| Returns: Intended format of the color map See also: Format Definition at line 216 of file qwt_color_map.h. Referenced by QwtPainter::drawColorBar().

virtual QRgb QwtColorMap::rgb | ( | const QwtDoubleInterval & | interval,
|  | double | value
| ) | const`[pure virtual]`

  | Map a value of a given interval into a rgb value. Parameters:
  | interval | Range for the values
  | value | Value
Returns: rgb value, corresponding to value Implemented in QwtLinearColorMap, and QwtAlphaColorMap. Referenced by color(), colorTable(), and QwtPainter::drawColorBar().